// C Source File
// Created 24-07-2003; 18:35:28

#define USE_TI92PLUS              // Compile for TI-92 Plus
#define USE_V200


#define OPTIMIZE_ROM_CALLS // Use ROM Call Optimization

#define MIN_AMS 200          // Compile for AMS 2.00 or higher

#define SAVE_SCREEN           // Save/Restore LCD Contents

#include <tigcclib.h>         // Include All Header Files


#include "extgraph.h"
#include "minusculas.h"
#include "maiusculas.h"
#include "numeros.h"
#include "find.h"





void InputStr(char *buffer, unsigned short maxlen)
{
  SCR_STATE ss;
  short key;
  unsigned short i = 0;
  buffer[0] = 0;
  SaveScrState (&ss);
  do
    {
      MoveTo (ss.CurX, ss.CurY);
      printf ("%s_  ", buffer);
        // Note that two spaces are required only if the F_4x6 font is used
      key = ngetchx ();
      if (key >= ' ' && key <= '~' && i < maxlen)
        buffer[i++] = key;
      else if (key == KEY_BACKSPACE && i)
        i--;
      buffer[i] = 0;
    } while (key != KEY_ENTER);
}



// OCR
void _main(void)
{
 int op;  
 char buffer[1];
 char pilha[8];

   n_count=1;
//Ti-89
/*   lst[0].ptx0=0;
   lst[0].ptx1=69;  //76-7=69
   lst[0].pty0=0;
   lst[0].pty1=153;   //158-5=153*/

//Ti-92 plus & V200
   lst[0].ptx0=0;
   lst[0].ptx1=95;  //102-7=95
   lst[0].pty0=0;
   lst[0].pty1=233;   //238-5=233 


lbl_outra_vez:
 clrscr ();   
 strcpy(str,""); 
 do
 {
   printf("\20\20\20\20\20\20\20\20\20\20\20\20\20\20\20\20\20\20\20\20\20\20\20\20\20\20\n");
   printf("\20\20\20\20\20\20\20\20 Ocr Scan \20\20\20\20\20\20\20\20\n");
   printf("\20\20\20\20\20\20\20\20\20\20\20\20\20\20\20\20\20\20\20\20\20\20\20\20\20\20\n"); 
   printf("\20 1- Scan a,b,...,z      \20\n");
   printf("\20 2- Scan A,B,...,Z      \20\n");
   printf("\20 3- Scan 0,1,...,9      \20\n");
   printf("\20 4- Scan a,A,0,...9,z,Z \20\n");
   printf("\20 5- Edit Scan Parameters\20\n");
   printf("\20 6- Exit                \20\n");
   printf("\20\20\20\20\20\20\20\20\20\20\20\20\20\20\20\20\20\20\20\20\20\20\20\20\20\20\n"); 
   printf("Choose option:\n");
   InputStr(buffer,1);
   op=atoi(buffer );

   screen_wait();
   
   switch(op)
   {	
    case 1:find_char_minusculas();break;
    case 2:find_char_maiusculas();break;
    case 3:find_char_numeros();break;
    case 4:find_char_all();break;
    case 5:copy_basic_screen(); 
  				 draw_previous_rect();
  				 goto lbl_outra_vez;
    case 6:return ;break;
   };
   clrscr ();
   if((op!=1) & (op!=2) & (op!=3) & (op!=4) & (op!=5) & (op!=6))
   {
     printf("Option incorrect!?\n\nChoose: 1 or 2 or 3 or 4\nor 5 or 6\n");  
     printf("\n\n\n\n\nPress any key.\n\n");
     ngetchx();
   }
  }
  while((op!=1) & (op!=2) & (op!=3) & (op!=4) & (op!=5) & (op!=6));
  

  clrscr();
  printf("First press [2nd]+[ALPHA]\n");
  printf("Save as:");
  InputStr (pilha, 8);
  FILE *fp;
  fp=fopen(pilha ,"w");   
  fputs (str, fp);
  fclose(fp);
  
  strcpy(str,"");

}
